focal: libglibd-2.0.so: cannot open shared object file

Bug #1873071 reported by David Hewitt
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
appstream-generator (Debian)
Fix Released
Unknown
appstream-generator (Ubuntu)
Undecided
Unassigned
glib-d (Ubuntu)
Undecided
Unassigned

Bug Description

It seems that installing appstream-generator on today's fully up to date 20.04 build fails to pull in libglibd-2.0 as a dependency, and even after installing the library manually, appstream-generator is not correctly linked against the so version and I still get the same error.

It seems that this needs a rebuild?

Olivier Tilloy (osomon)
Changed in appstream-generator (Ubuntu):
status: New → Confirmed
Revision history for this message
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in glib-d (Ubuntu):
status: New → Confirmed
Changed in appstream-generator (Debian):
status: Unknown → Fix Released
Revision history for this message
David Hewitt (davidmhewitt) wrote :

This is still an issue.

What's the process for importing the new release referenced in the Debian bug that fixes this?

As it stands, this package is completely broken.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.